<?php
define('GCMS',true);
define('ROOT','../');
require_once (ROOT.'system/power.php');
if ($aut) {
if($ya['balls']>=$nastr['ostat']){
$diz -> head('Новая статья');
$diz -> title('Новая статья');
$fb = $db -> dbcount('COUNT(`id`)','book_razdel');
if($fb>0){
if (empty($_POST['name']) || empty($_POST['text'])) {
$for = $db -> query("SELECT `id`,`name` FROM `book_razdel`");
while ($assoc = $for -> fetch_assoc()) {
$opt .= '<option value="'.$assoc['id'].'">'.$assoc['name'].'</option>';
}
$msg .= '<div class="fon">Название статьи:<form action="new.php" method="post"><div>
<textarea name="name" rows="3" cols="15"></textarea><br/>
Раздел: 
<select name="razdel">'.$opt.'</select><br/>
Введите текст статьи:<br/>
<textarea name="text" rows="5" cols="15"></textarea><br/>
<input type="submit" value="Добавить"/>
</div></form><br/>';
$msg .= '</div><div class="levo">'.$diz -> img('back.png').'<a href="index.php">Назад</a></br>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';

} else {
$name = shit($_POST['name']); 
$razdel = (!empty($_POST['razdel'])) ? abs((int)$_POST['razdel']) : null;
$te = $db -> query("SELECT * FROM `books` WHERE `name` = '".$name."' and `razdel` = '".$razdel."' LIMIT 1");
if ($te -> num_rows > 0) {
$diz -> head('Ошибка');
$diz -> title('Ошибка');
$msg .= '<div class="fon">Статья с данным именем в данном разделе уже существует!</div>';
header('refresh: 3; tema'.$id.'');
}elseif(mb_strlen($func -> delprobel($_POST['name'])) < 3)
{
$diz -> head('Соблюдай длину');
$diz -> title('Ошибка');
$diz -> out('Название статьи не может быть короче 3 символов!
<br/><a href="?id='.$id.'&page='.$page.'">Назад</a>');
}elseif(mb_strlen($func -> delprobel($_POST['text'])) < 20)
{
$diz -> head('Соблюдай длину');
$diz -> title('Ошибка');
$diz -> out('Текст статьи не может быть короче 20 символов!
<br/><a href="?id='.$id.'&page='.$page.'">Назад</a>');}
else{
$name = shit($_POST['name']); 
$text = shit($_POST['text']); 
$diz -> head('Добавление статьи');
$diz -> title('Добавление статьи');
$razdel = (!empty($_POST['razdel'])) ? abs((int)$_POST['razdel']) : null;
$db -> query("UPDATE `users` SET `balls`=balls+$nastr[blogs] WHERE `id` = '".$ya['id']."'");
$db -> query("INSERT INTO `books` SET `razdel` = '".$razdel."', `name` = '".$name."',`text` = '".$text."', `user` = '".(int)$ya['id']."',`time` = '".time()."'");
$msg .= '<div class="fon">Статья <b>'.$name.'</b> успешно добавлена!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="index.php">Библиотека</a><br/>';
$msg .= ''.$diz -> img('home.png').'<a href="/">На главную</a></div>';}
}
}else{
$msg.='<div class="fon">Разделы ещё не созданы!</div>';
$msg .= '<div class="levo">'.$diz -> img('back.png').'<a href="index.php">Назад</a></div>';
}
}else{
$diz -> head('Новая статья');
$diz -> title('Новая статья');
$msg.='<div class="fon">Извините,но вы не можете писать статьи!</div>';
header('refresh: 3; url=index.php');
}
#####Копирайт#######
require_once ('../system/kopy.php');
$diz -> out($msg);
} else header('location: index.php');
?>